UDP
All operations require authentication.
List UDP frontendsBeta
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of defaultFarmId property (=)
Filter the value of port property (like)
Filter the value of zone property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ frontend \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a UDP frontendBeta
Path parameters
The internal name of your IP load balancing
Request body (required)
Only attach frontend on these ip. No restriction if null
Default UDP Farm of your frontend
Disable your frontend. Default: 'false'
Human readable name for your frontend, this field is for you
Port(s) attached to your frontend. Supports single port (numerical value), range (2 dash-delimited increasing ports) and comma-separated list of 'single port' and/or 'range'. Each port must be in the [1;49151] range.
Zone of your frontend. Use "all" for all owned zone.
Response
Only attach frontend on these ip. No restriction if null
Default UDP Farm of your frontend
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
Id of your frontend
Listening port(s) on the server
Zone of you frontend
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ frontend \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "disabled": true, "displayName": "string", "frontendId": 0, "port": "string", "zone": "string"}
Get a UDP frontendBeta
Path parameters
Id of your frontend
The internal name of your IP load balancing
Response
Only attach frontend on these ip. No restriction if null
Default UDP Farm of your frontend
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
Id of your frontend
Listening port(s) on the server
Zone of you frontend
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"{ "dedicatedIpfo": [ "192.0.2.0/24" ], "defaultFarmId": 0, "disabled": true, "displayName": "string", "frontendId": 0, "port": "string", "zone": "string"}
Delete a UDP frontendBeta
Path parameters
Id of your frontend
The internal name of your IP load balancing
Response
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"Update a UDP frontendBeta
Path parameters
Id of your frontend
The internal name of your IP load balancing
Request body (required)
Only attach frontend on these ip. No restriction if null
Default UDP Farm of your frontend
Disable frontend. Default: 'false'
Human readable name for your frontend, this field is for you
Id of your frontend
Listening port(s) on the server
Zone of you frontend
Response
Example uses frontendId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ udp/ frontend/ {frontendId} \
-H "authorization: Bearer $OVH_TOKEN"